Loading...
Searching...
No Matches
XrdOfsEvsFormat Class Reference

`#include <XrdOfsEvs.hh>`

Collaboration diagram for XrdOfsEvsFormat:

## Public Types

enum | evFlags { Null = 0 , freeFmt = 1 , cvtMode = 2 , cvtFSize = 4 }

## Public Member Functions

| XrdOfsEvsFormat ()
| ~XrdOfsEvsFormat ()
void | Def (evFlags theFlags, const char *Fmt,...)
void | Set (evFlags theFlags, const char *Fmt, int *fullArgs)
int | SNP (XrdOfsEvsInfo &Info, char *buff, int blen)

## Public Attributes

XrdOfsEvsInfo::evArg | Args [XrdOfsEvsInfo::evARGS]
evFlags | Flags
const char * | Format

## Detailed Description

Definition at line 87 of file XrdOfsEvs.hh.

## Member Enumeration Documentation

## evFlags

enum XrdOfsEvsFormat::evFlags

Enumerator
Null |
freeFmt |
cvtMode |
cvtFSize |

Definition at line 91 of file XrdOfsEvs.hh.

{Null = 0, freeFmt = 1, cvtMode = 2, cvtFSize = 4};
XrdOfsEvsFormat::cvtFSize
@ cvtFSize
Definition XrdOfsEvs.hh:91
XrdOfsEvsFormat::cvtMode
@ cvtMode
Definition XrdOfsEvs.hh:91
XrdOfsEvsFormat::Null
@ Null
Definition XrdOfsEvs.hh:91
XrdOfsEvsFormat::freeFmt
@ freeFmt
Definition XrdOfsEvs.hh:91

## Constructor & Destructor Documentation

## XrdOfsEvsFormat()

XrdOfsEvsFormat::XrdOfsEvsFormat | ( |  | ) |

inline

Definition at line 112 of file XrdOfsEvs.hh.

: Format(0), Flags(Null) {}
XrdOfsEvsFormat::Format
const char * Format
Definition XrdOfsEvs.hh:93
XrdOfsEvsFormat::Flags
evFlags Flags
Definition XrdOfsEvs.hh:94

References Flags, Format, and Null.

## ~XrdOfsEvsFormat()

XrdOfsEvsFormat::~XrdOfsEvsFormat | ( |  | ) |

inline

Definition at line 113 of file XrdOfsEvs.hh.

{}

## Member Function Documentation

## Def()

void XrdOfsEvsFormat::Def | ( | evFlags | theFlags,
|  | const char * | Fmt,
|  |  | ... )

Definition at line 91 of file XrdOfsEvs.cc.

{
va_list ap;
int theVal, i = 0;
// Return if already defined
//
if (Format) return;
// Set flags and format. Prepare the arg vector
//
Flags = theFlags;
Format = Fmt;
memset(Args, 0, sizeof(Args));
// Pick up all arguments
//
va_start(ap, Fmt);
while((theVal = va_arg(ap, int)) >= 0)
Args[i++] = static_cast<XrdOfsEvsInfo::evArg>(theVal);
va_end(ap);
}
XrdOfsEvsFormat::Args
XrdOfsEvsInfo::evArg Args[XrdOfsEvsInfo::evARGS]
Definition XrdOfsEvs.hh:95
XrdOfsEvsInfo::evArg
evArg
Definition XrdOfsEvs.hh:50
Xrd::Fmt
Fmt
Definition XrdSysTrace.hh:42

References Args, Flags, and Format.

## Set()

void XrdOfsEvsFormat::Set | ( | evFlags | theFlags,
|  | const char * | Fmt,
|  | int * | fullArgs )

inline

Definition at line 106 of file XrdOfsEvs.hh.

{if (Format && Flags & freeFmt) free((char *)Format);
Format = Fmt; Flags = theFlags;
memcpy(Args, fullArgs, sizeof(Args));
}

References Args, Flags, Format, and freeFmt.

## SNP()

int XrdOfsEvsFormat::SNP | ( | XrdOfsEvsInfo & | Info,
|  | char * | buff,
|  | int | blen )

inline

Definition at line 97 of file XrdOfsEvs.hh.

{return snprintf(buff,blen,Format, Info.Val(Args[0]),
Info.Val(Args[1]), Info.Val(Args[2]),
Info.Val(Args[3]), Info.Val(Args[4]),
Info.Val(Args[5]), Info.Val(Args[6]));
}
TPC::Info
@ Info
Definition XrdHttpTpcTPC.hh:29

References Args, and Format.

Referenced by XrdOfsEvs::Notify().

Here is the caller graph for this function:

## Member Data Documentation

## Args

XrdOfsEvsInfo::evArg XrdOfsEvsFormat::Args[XrdOfsEvsInfo::evARGS]

Definition at line 95 of file XrdOfsEvs.hh.

Referenced by Def(), Set(), and SNP().

## Flags

evFlags XrdOfsEvsFormat::Flags

Definition at line 94 of file XrdOfsEvs.hh.

Referenced by XrdOfsEvsFormat(), Def(), XrdOfsEvs::Notify(), and Set().

## Format

const char* XrdOfsEvsFormat::Format

Definition at line 93 of file XrdOfsEvs.hh.

Referenced by XrdOfsEvsFormat(), Def(), Set(), and SNP().

The documentation for this class was generated from the following files:

- XrdOfsEvs.hh
- XrdOfsEvs.cc